# norootforbuild

Name:		pmount
Version:	0.9.23
Release:	2.pm.2.3

Summary:	Mount removable devices as normal user
URL:		http://alioth.debian.org/projects/pmount/
License:	GPL
Group:		System/Base

Source0:	%{name}-%{version}.tar.bz2
Source1:	README.SUSE
Source2:	%{name}.rpmlintrc
Source3:	%{name}-bash_completion

Patch0:		%{name}-lazy_umount.patch
Patch1:		%{name}-no_root_install.patch
Patch2:		%{name}-ext4dev_warning.patch
Patch3:		%{name}-fix_implicit_declaration_warnings.patch

BuildRoot:	%{_tmppath}/build-%{name}-%{version}

BuildRequires:	hal-devel intltool perl-XML-Parser sysfsutils libblkid-devel


%description
Pmount is a wrapper around the standard mount program which permits normal
users to mount removable devices without a matching /etc/fstab entry.





%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%if 0%{?suse_version} <= 1110
%patch2 -p0
%endif
%patch3 -p1


%build
%configure --enable-hal
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
%find_lang %name
%__install -D -m 644 %{SOURCE1} %{buildroot}/%{_docdir}/%{name}/README.SUSE
%__cp AUTHORS COPYING ChangeLog README.devel TODO %{buildroot}/%{_docdir}/%{name}/
%__install -D -m 644 %{SOURCE3} %{buildroot}/etc/bash_completion.d/%{name}


%pre
/usr/sbin/groupadd -r %{name} &>/dev/null || :


%clean
%__rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/%{name}.allow
%config %{_sysconfdir}/bash_completion.d/%{name}
%{_mandir}/man1/*.gz
%attr(4750 root %{name}) %{_bindir}/%{name}
%attr(4750 root %{name}) %{_bindir}/pumount
%attr(4750 root %{name}) %{_bindir}/%{name}-hal


%changelog
* Sat Jun 19 2010 Detlef Reichelt <detlef@links2linux.de> 0.9.23
- new upstream version <0.9.23>
  * fix a security hole (see CVE-2010-2192 for more
  information). Upgrading is seriously recommended.

* Tue May 11 2010 Detlef Reichelt <detlef@links2linux.de> 0.9.22
- new upstream version <0.9.22>
- remove fix_cryptsetup_rroot.patch -> upstream

* Tue May 11 2010 Detlef Reichelt <detlef@links2linux.de> 0.9.21-2
- add fix_cryptsetup_rroot.patch

* Fri May 07 2010 Detlef Reichelt <detlef@links2linux.de> 0.9.21
- new upstream version <0.9.21>
  * now whitelisting ext4.
  * few configure.ac tweaks
  * now, cryptsetup is run by default with ruid = euid = 0 to work
    around a libgcrypt "feature"
  * pulling new translations from Rosetta

* Sat Jan 02 2010 AxelKoellhofer@web.de
- added patch to fix warnings about implcit declarations of functions
- added patch to suppress warning "unknown filesystem ext4dev" on 11.1
- added libblkid-devel to BuildRequires (needed for building in OBS)
* Wed Nov 26 2009 AxelKoellhofer@web.de
- added cryptsetup-rroot.patch from debian upstream
* Fri Nov 13 2009 AxelKoellhofer@web.de
- added bash-completion script (taken from debian sid)
- added ext4 support (adapted patch from debian sid)
- converted sources to bz2
- added rpmlintrc
* Fri Sep 11 2009 Detlef Reichelt <detlef@links2linux.de> 0.9.20
- new upstream version <0.9.20>
  * fix few typos (in man/pmount.1 and configure.ac)
  * severely discourage lazy unmount
  * switch to errors=remount-ro to avoid massive FS corruption when a
    problem is found
  * allow unmounting of devices which do not exist anymore
  * pulled newer translations from Rosatta
* Fri Mar 05 2009 Detlef Reichelt <detlef@links2linux.de> <0.9.19>-<0.pm.1>
- new upstream version <0.9.19>
  * drop the dependency on libsysfs and also fix failure to recognise
    that a device is removable with newer kernels
  * do realpath expansion on devices whitelisted in /etc/pmount.allow,
    which enables the use of symlinks inside it.
  * fixed few problems in the manual page
  * pulled newer translations from Rosetta
* Fri Oct 03 2008 Detlef Reichelt <detlef@links2linux.de> <0.9.1>-<0.pm.1>
- new upstream version <0.9.18>
  * clarify the position about symlinks in /etc/fstab in pmount.1 and
    try to provide a better error message when a mountpoint is found
    in /etc/fstab
  * vfat now uses utf8 rather than iocharset=utf8 when applicable, to
    avoid getting a case-sensitive filesystem. In addition, charset
    iso8859-1 is now used for VFAT for all cases when the charset is not
    specified, or is utf8
  * finally fix the symlinks in /etc/fstab problem.
  * pulling new translations from Rosetta.
* Fri Oct 03 2008 Detlef Reichelt <detlef@links2linux.de> <0.9.17>-<0.pm.1>
- initial build for PackMan
- cleanup SPEC
* Thu Oct 02 2008 <rain_maker@root-forum.org>
- modified SPEC to use new group "pmount" instead of "disk" (thx @drcux for advice!)
* Wed Oct 01 2008 <rain_maker@root-forum.org>
- modified spec based on original file by Tuukka Pasanen 
- only member of the group "disk" are allowed to use pmount
- configuration file /etc/pmount.allow will not be overwritten on update
* Tue Oct 23 2007 Tuukka Pasanen <rpms@ilmi.fi>
- Okay this fixes bug that lazy device disapiers before umount
- Gotta get ivman fixed..
* Tue Jul 03 2007 Tuukka Pasanen <rpms@ilmi.fi>
- New version and actually copy binaries :D
* Tue May 24 2007 Tuukka Pasanen <rpms@ilmi.fi>
- Initial build
